Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.services
Class ABaseGrammarAccess.BOOLEANElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder
              org.eclipse.amp.amf.abase.services.ABaseGrammarAccess.BOOLEANElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess

Enclosing class:
  ABaseGrammarAccess

    public class ABaseGrammarAccess.BOOLEANElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`ABaseGrammarAccess.BOOLEANElements()`

Method Summary
`org.eclipse.xtext.Alternatives` | `getAlternatives()`
`org.eclipse.xtext.EnumLiteralDeclaration` | `getFALSEEnumLiteralDeclaration_1()`
`org.eclipse.xtext.Keyword` | `getFALSEFalseKeyword_1_0()`
`org.eclipse.xtext.EnumRule` | `getRule()`
`org.eclipse.xtext.EnumLiteralDeclaration` | `getTRUEEnumLiteralDeclaration_0()`
`org.eclipse.xtext.Keyword` | `getTRUETrueKeyword_0_0()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder
`getRules`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseGrammarAccess.BOOLEANElements

    public ABaseGrammarAccess.BOOLEANElements()

Method Detail

### getRule

    public org.eclipse.xtext.EnumRule getRule()

### getAlternatives

    public org.eclipse.xtext.Alternatives getAlternatives()

### getTRUEEnumLiteralDeclaration_0

    public org.eclipse.xtext.EnumLiteralDeclaration getTRUEEnumLiteralDeclaration_0()

### getTRUETrueKeyword_0_0

    public org.eclipse.xtext.Keyword getTRUETrueKeyword_0_0()

### getFALSEEnumLiteralDeclaration_1

    public org.eclipse.xtext.EnumLiteralDeclaration getFALSEEnumLiteralDeclaration_1()

### getFALSEFalseKeyword_1_0

    public org.eclipse.xtext.Keyword getFALSEFalseKeyword_1_0()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD